> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction summary for address

> Used to fetch the earliest and latest transactions, and the transaction count for a wallet. Also enriched with gas expenditure details and total ERC20 token transfers count.

<CardGroup cols={2}>
  <Card title="Credit Cost"> 1 per call</Card>
  <Card title="Processing"> Batch</Card>
</CardGroup>

<Tip>
  Estimate your monthly cost for this API using the [Pricing Calculator](/pricing-calculator?endpoint=%2Fapi-reference%2Ffoundational-api%2Ftransactions%2Fget-transaction-summary-for-address).
</Tip>

<Info>
  * Base cost is `1` credit.
  * Using `with-gas` is an additional `1` credit.
  * Using `with-transfer-count` is an additional `3` credits.
</Info>

<Accordion title="Related guides">
  <CardGroup cols={3}>
    <Card href="https://goldrush.dev/guides/building-web3-wallets-part-7-multi-chain-wallet-activity-summary">
      Building Web3 Wallets (Part 7) - Multi-Chain Wallet Activity Summary
    </Card>

    <Card href="https://goldrush.dev/guides/comparing-covalent-s-transactions-api-to-rpc-providers">
      Comparing GoldRush's Transactions API to RPC Providers
    </Card>

    <Card href="https://goldrush.dev/guides/how-to-get-transaction-history-for-an-address-on-ethereum">
      How to Get Transaction History for an Address on Ethereum
    </Card>
  </CardGroup>
</Accordion>


## OpenAPI

````yaml GET /v1/{chainName}/address/{walletAddress}/transactions_summary/
openapi: 3.1.0
info:
  title: GoldRush Multichain Data APIs
  version: 1.0.0
  description: Covalent's GoldRush Multichain Data APIs OpenAPI Schema.
servers:
  - url: https://api.covalenthq.com
security:
  - bearerAuth: []
paths:
  /v1/{chainName}/address/{walletAddress}/transactions_summary/:
    get:
      tags:
        - get-transaction-summary-for-address
      description: >-
        Used to fetch the earliest and latest transactions, and the transaction
        count for a wallet. Also enriched with gas expenditure details and total
        ERC20 token transfers count.
      operationId: getTransactionSummary
      parameters:
        - name: chainName
          in: path
          description: 'The chain name eg: `eth-mainnet`.'
          required: true
          schema:
            type: string
        - name: walletAddress
          in: path
          description: >-
            The requested address. Passing in an `ENS`, `RNS`, `Lens Handle`, or
            an `Unstoppable Domain` resolves automatically.
          required: true
          schema:
            type: string
        - name: quote-currency
          in: query
          description: >-
            The currency to convert. Supports `USD`, `CAD`, `EUR`, `SGD`, `INR`,
            `JPY`, `VND`, `CNY`, `KRW`, `RUB`, `TRY`, `NGN`, `ARS`, `AUD`,
            `CHF`, and `GBP`.
          required: false
          schema:
            type: string
        - name: with-gas
          in: query
          description: >-
            Include gas summary details. Response times may be impacted for
            wallets with large number of transactions.
          required: false
          schema:
            type: boolean
        - name: with-transfer-count
          in: query
          description: >-
            Represents the total count of ERC-20 token movement events,
            including `Transfer`, `Deposit` and `Withdraw`. Response times may
            be impacted for wallets with large number of transactions.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated_at:
                    type: string
                    format: date-time
                    description: >-
                      The timestamp when the response was generated. Useful to
                      show data staleness to users.
                  address:
                    type: string
                    description: The requested address.
                  chain_id:
                    type: integer
                    description: 'The requested chain ID eg: `1`.'
                  chain_name:
                    type: string
                    description: 'The requested chain name eg: `eth-mainnet`.'
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        total_count:
                          type: integer
                          format: int64
                          description: The total number of transactions.
                        transfer_count:
                          type: integer
                          format: int64
                          description: >-
                            Represents the total count of ERC-20 token movement
                            events, including `Transfer`, `Deposit` and
                            `Withdraw`.
                        earliest_transaction:
                          type: object
                          properties:
                            block_signed_at:
                              type: string
                              format: date-time
                              description: The block signed timestamp in UTC.
                            tx_hash:
                              type: string
                              description: The requested transaction hash.
                            tx_detail_link:
                              type: string
                              description: >-
                                The link to the transaction details using the
                                Covalent API.
                          description: The earliest transaction detected.
                        latest_transaction:
                          type: object
                          properties: {}
                          description: The latest transaction detected.
                        gas_summary:
                          type: object
                          properties:
                            total_sent_count:
                              type: integer
                              format: int64
                              description: >-
                                The total number of transactions sent by the
                                address.
                            total_fees_paid:
                              type: string
                              description: >-
                                b;The total transaction fees paid by the
                                address, denoted in wei.
                            total_gas_quote:
                              type: number
                              format: double
                              description: >-
                                The total transaction fees paid by the address,
                                denoted in `quote-currency`.
                            pretty_total_gas_quote:
                              type: string
                              description: >-
                                A prettier version of the quote for rendering
                                purposes.
                            average_gas_quote_per_tx:
                              type: number
                              format: double
                              description: The average gas quote per transaction.
                            pretty_average_gas_quote_per_tx:
                              type: string
                              description: >-
                                A prettier version of the quote for rendering
                                purposes.
                            gas_metadata:
                              type: object
                              properties:
                                contract_decimals:
                                  type: integer
                                  description: >-
                                    Use contract decimals to format the token
                                    balance for display purposes - divide the
                                    balance by `10^{contract_decimals}`.
                                contract_name:
                                  type: string
                                  description: The string returned by the `name()` method.
                                contract_ticker_symbol:
                                  type: string
                                  description: >-
                                    The ticker symbol for this contract. This
                                    field is set by a developer and non-unique
                                    across a network.
                                contract_address:
                                  type: string
                                  description: >-
                                    Use the relevant `contract_address` to
                                    lookup prices, logos, token transfers, etc.
                                supports_erc:
                                  type: array
                                  items:
                                    type: string
                                  description: >-
                                    A list of supported standard ERC interfaces,
                                    eg: `ERC20` and `ERC721`.
                                logo_url:
                                  type: string
                                  description: The contract logo URL.
                              description: The requested chain native gas token metadata.
                          description: The gas summary for the transactions.
                    description: List of response items.
      x-codeSamples:
        - lang: TypeScript
          label: GoldRush SDK
          source: |-
            import { GoldRushClient } from "@covalenthq/client-sdk";

            const ApiServices = async () => {
                const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
                const resp = await client.TransactionService.getTransactionSummary({chainName: "chainName", walletAddress: "walletAddress"});
                console.log(resp.data);
            };

            ApiServices();
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form: `Bearer <token>`, where
        `<token>` is your GoldRush API Key.

````